Package org.opensaml.xmlsec.signature.impl

# Class ECKeyValueImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.ECKeyValueImpl

All Implemented Interfaces:
  `XMLObject`, `ECKeyValue`

public class ECKeyValueImpl extends AbstractXMLObject implements ECKeyValue
Concrete implementation of `ECKeyValue`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XMLObject`
`ecParams`
ECParameters child element value.
`private String`
`id`
Id attribute value.
`private NamedCurve`
`namedCurve`
NamedCurve child element value.
`private PublicKey`
`publicKey`
PublicKey child element value.

### Fields inherited from interface org.opensaml.xmlsec.signature.ECKeyValue

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ID_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ECKeyValueImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`XMLObject`
`getECParameters()`
Get the ECParameters child element.
`String`
`getID()`
Get the Id attribute value.
`NamedCurve`
`getNamedCurve()`
Get the NamedCurve child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`PublicKey`
`getPublicKey()`
Get the PublicKey child element.
`void`
`setECParameters(XMLObject newParams)`
Set the ECParameters child element.
`void`
`setID(String newID)`
Set the Id attribute value.
`void`
`setNamedCurve(NamedCurve newCurve)`
Set the NamedCurve child element.
`void`
`setPublicKey(PublicKey newKey)`
Set the PublicKey child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### id

@Nullable private String id
Id attribute value.

### ecParams

@Nullable private XMLObject ecParams
ECParameters child element value.

### namedCurve

@Nullable private NamedCurve namedCurve
NamedCurve child element value.

### publicKey

@Nullable private PublicKey publicKey
PublicKey child element value.

## Constructor Details

### ECKeyValueImpl

protected ECKeyValueImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getID

@Nullable public String getID()
Get the Id attribute value.

Specified by:
  `getID` in interface `ECKeyValue`
Returns:
  the Id attribute value

### setID

public void setID(@Nullable String newID)
Set the Id attribute value.

Specified by:
  `setID` in interface `ECKeyValue`
Parameters:
  `newID` - the new Id attribute value

### getECParameters

@Nullable public XMLObject getECParameters()
Get the ECParameters child element.

Specified by:
  `getECParameters` in interface `ECKeyValue`
Returns:
  the ECParameters child element

### setECParameters

public void setECParameters(@Nullable XMLObject newParams)
Set the ECParameters child element.

Specified by:
  `setECParameters` in interface `ECKeyValue`
Parameters:
  `newParams` - the new ECParameters child element

### getNamedCurve

@Nullable public NamedCurve getNamedCurve()
Get the NamedCurve child element.

Specified by:
  `getNamedCurve` in interface `ECKeyValue`
Returns:
  the NamedCurve child element

### setNamedCurve

public void setNamedCurve(@Nullable NamedCurve newCurve)
Set the NamedCurve child element.

Specified by:
  `setNamedCurve` in interface `ECKeyValue`
Parameters:
  `newCurve` - the new NamedCurve child element

### getPublicKey

@Nullable public PublicKey getPublicKey()
Get the PublicKey child element.

Specified by:
  `getPublicKey` in interface `ECKeyValue`
Returns:
  the PublicKey child element

### setPublicKey

public void setPublicKey(@Nullable PublicKey newKey)
Set the PublicKey child element.

Specified by:
  `setPublicKey` in interface `ECKeyValue`
Parameters:
  `newKey` - the new PublicKey child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements